﻿@{
    ViewData["Title"] = "Servidores Page";
}
@model Server
<p>
    <a asp-controller="Server" asp-action="Create">Crear</a>
</p>
<table class="table table-bordered">
    <thead>
        <tr>
            <th>Nombre Dns</th>
            <th>Direccion Ip</th>
            <th>Decripcion</th>
            <th>Sistema Operativo</th>
            <th>Fecha creado</th>
            <th colspan="2"></th>
        </tr>
    </thead>


    <tbody>
        @foreach (Server Server in ViewBag.Servers)
        {
            <tr>
                <td><a href="/Detalles/Index/@Server.DnsName">@Server.DnsName</a></td>
                <td>@Server.IpAddress</td>
                <td>@Server.Descripcion</td>
                <td>@Server.Sistema</td>
                <td>@Server.FechaRegistro</td>
                <td><a asp-controller="Server" asp-action="Edit" asp-route-id="@Server.Id">Editar</a></td>
                <td><a asp-controller="Server" asp-action="Delete" asp-route-id="@Server.Id">Eliminar</a></td>
            </tr>
        }
    </tbody>
</table>